메인 콘텐츠로 건너뛰기
GET
/
v2
/
trade
/
{chain}
/
activities
활동 - 목록
curl --request GET \
  --url https://api.chainstream.io/v2/trade/{chain}/activities \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "accountOwnerAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w",
      "blockHeight": 332417228,
      "blockTimestamp": 1717334400000,
      "chain": "sol",
      "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "sideTokenAddress": "So11111111111111111111111111111111111111112",
      "sideTokenAmount": "1",
      "sideTokenAmountInNative": "150",
      "sideTokenAmountInUsd": "150",
      "sideTokenName": "Wrapped SOL",
      "sideTokenPriceInNative": "1",
      "sideTokenPriceInUsd": "150",
      "sideTokenSymbol": "SOL",
      "status": "SUCCEEDED",
      "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
      "tokenAmount": "1000000",
      "tokenAmountInNative": "100",
      "tokenAmountInUsd": "8800000",
      "tokenName": "TRUMP",
      "tokenPriceInNative": "0.0001",
      "tokenPriceInUsd": "8.80",
      "tokenSymbol": "TRUMP",
      "transactionSignature": "37XpPt9Ak6JiE1V3sftJDtdUsvR9FVFRqkZmoT3dp4BTD9pgyTWn1XgHH6R7NjuJ4pBMAgj8JvZtxQrf4s6NTC5F",
      "type": "BUY",
      "accountAddress": "<string>",
      "addrType": 123,
      "dexImage": "https://example.com/dex.png",
      "dexProgramAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
      "dexProtocolFamily": "OrcaWhirpool",
      "gasFee": 5000,
      "gasFeeInNative": "0.000073",
      "gasFeeInUsd": "0.011",
      "historyBoughtAmount": "<string>",
      "historySoldAmount": "<string>",
      "historySoldIncome": "<string>",
      "isOpenOrClose": 123,
      "makerEventTags": [
        "<string>"
      ],
      "makerExchange": "<string>",
      "makerName": "<string>",
      "marketCapInUsd": "1500000.00",
      "postBalance": "<string>",
      "realizedProfitInUsd": "<string>",
      "sideTokenImageUrl": "https://arweave.net/sol.png",
      "tokenImageUrl": "https://arweave.net/token.png",
      "totalTrade": 123,
      "traderTags": [
        "<string>"
      ],
      "unrealizedProfitInUsd": "<string>"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

경로 매개변수

chain
enum<string>
필수

지원되는 네트워크에 나열된 체인 이름 Supported blockchain chains

사용 가능한 옵션:
sol,
eth,
bsc

쿼리 매개변수

cursor
string

페이지네이션 커서

limit
integer<int64>
기본값:20

페이지당 결과 수

direction
enum<string>
기본값:next

페이지네이션 방향 (next 또는 prev) Pagination direction

사용 가능한 옵션:
next,
prev
tokenAddress
string

토큰 주소

walletAddress
string

지갑 주소

poolAddress
string

풀 주소

beforeTimestamp
integer<int64>

거래 필터링 시작 타임스탬프 (Unix 초 단위 타임스탬프)

afterTimestamp
integer<int64>

거래 필터링 종료 타임스탬프 (Unix 초 단위 타임스탬프)

beforeBlockHeight
integer<int64>

해당 블록 높이 이전의 거래 필터링

afterBlockHeight
integer<int64>

해당 블록 높이 이후의 거래 필터링

transactionsSignature
string

트랜잭션 서명/해시

type
enum<string>

활동 유형 필터 Activity type (extends TradeType)

사용 가능한 옵션:
BUY,
SELL,
LIQUIDITY_INITIALIZE,
LIQUIDITY_ADD,
LIQUIDITY_REMOVE,
RED_PACKET_CREATE,
RED_PACKET_CLAIM,
RED_PACKET_COMPLETE,
RED_PACKET_REFUND
sortBy
enum<string>
기본값:timestamp

DTO.TRADE.SORT_BY Sort by: timestamp (default) | totalUsd Sort field for activities query

사용 가능한 옵션:
timestamp,
totalUsd
traderTags
string

Filter by trader tag(s). Comma-separated list from: kol, smart, sniper, bundle, dev, bluechip, insider, fresh. Returns activities where the trader has ANY of the specified tags.

minAmountUsd
string

Minimum trade value in USD (inclusive). Filters out small trades.

maker
string

Filter by specific maker (trader) wallet address. Equivalent to filtering by accountOwnerAddress.

응답

200 - application/json

성공 응답

Generic pagination response

data
object[]
필수

Page data

endCursor
string | null

Cursor for the end of current page

예시:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

예시:

false

hasPrev
boolean

Whether there is a previous page

예시:

false

startCursor
string | null

Cursor for the start of current page

예시:

"eyJpZCI6InN0YXJ0In0="